Malicious Package

Affecting active-support gem, versions >=0.0.0

high severity

Overview

The active-support gem duplicates official activesupport code, but adds a compiled extension. This extension attempts to resolve a base64 encoded domain, then downloads a payload and execute it.

Remediation

active-support is malicious and the recommendation is to stop using it and replace this gem with the official activesupport gem.

References

Do your applications use this vulnerable package?

Credit
Unknown
CVE
CVE-2018-3779
CWE
CWE-506
Snyk ID
SNYK-RUBY-ACTIVESUPPORT-22046
Disclosed
09 Aug, 2018
Published
09 Aug, 2018